export let employeeData: Object[] = [{
    'EmployeeID': 1,
    'LastName': 'Davolio',
    'FirstName': 'Nancy',
    'Title': 'Sales Representative',
    'TitleOfCourtesy': 'Ms.',
    'BirthDate': new Date(-664743600000),
    'HireDate': new Date(704692800000),
    'Address': '507 - 20th Ave. E.\r\nApt. 2A',
    'City': 'Seattle',
    'Region': 'WA',
    'PostalCode': '98122',
    'Country': 'USA',
    'HomePhone': '(206) 555-9857',
    'Extension': '5467',
    'Photo': { 'Length': 21626 },
    'Notes': 'Education includes a BA in psychology from Colorado State University in 1970.  She also completed\
    \'The Art of the Cold Call.\'  Nancy is a member of Toastmasters International.',
    'ReportsTo': 2,
    'PhotoPath': 'http://accweb/emmployees/davolio.bmp'
}, {
    'EmployeeID': 2,
    'LastName': 'Fuller',
    'FirstName': 'Andrew',
    'Title': 'Vice President, Sales',
    'TitleOfCourtesy': 'Dr.',
    'BirthDate': new Date(-563828400000),
    'HireDate': new Date(713764800000),
    'Address': '908 W. Capital Way',
    'City': 'Tacoma',
    'Region': 'WA',
    'PostalCode': '98401',
    'Country': 'USA',
    'HomePhone': '(206) 555-9482',
    'Extension': '3457',
    'Photo': { 'Length': 21626 },
    'Notes': 'Andrew received his BTS commercial in 1974 and a Ph.D. in international marketing from the University of \
    Dallas in 1981.  He is fluent in French and Italian and reads German.  He joined the company as a sales representative, \
    was promoted to sales manager in January 1992 and to vice president of sales in March 1993.  Andrew is a member of the \
    Sales Management Roundtable, the Seattle Chamber of Commerce, and the Pacific Rim Importers Association.',
    'ReportsTo': 7,
    'PhotoPath': 'http://accweb/emmployees/fuller.bmp'
}, {
    'EmployeeID': 3,
    'LastName': 'Leverling',
    'FirstName': 'Janet',
    'Title': 'Sales Representative',
    'TitleOfCourtesy': 'Ms.',
    'BirthDate': new Date(-200088000000),
    'HireDate': new Date(702104400000),
    'Address': '722 Moss Bay Blvd.',
    'City': 'Kirkland',
    'Region': 'WA',
    'PostalCode': '98033',
    'Country': 'USA',
    'HomePhone': '(206) 555-3412',
    'Extension': '3355',
    'Photo': { 'Length': 21722 },
    'Notes': 'Janet has a BS degree in chemistry from Boston College (1984). \
     She has also completed a certificate program in food retailing management.\
     Janet was hired as a sales associate in 1991 and promoted to sales representative in February 1992.',
    'ReportsTo': 2,
    'PhotoPath': 'http://accweb/emmployees/leverling.bmp'
}, {
    'EmployeeID': 4,
    'LastName': 'Peacock',
    'FirstName': 'Margaret',
    'Title': 'Sales Representative',
    'TitleOfCourtesy': 'Mrs.',
    'BirthDate': new Date(-1018814400000),
    'HireDate': new Date(736401600000),
    'Address': '4110 Old Redmond Rd.',
    'City': 'Redmond',
    'Region': 'WA',
    'PostalCode': '98052',
    'Country': 'USA',
    'HomePhone': '(206) 555-8122',
    'Extension': '5176',
    'Photo': { 'Length': 21626 },
    'Notes': 'Margaret holds a BA in English literature from Concordia College (1958) and an MA from the American \
    Institute of Culinary Arts (1966).  She was assigned to the London office temporarily from July through November 1992.',
    'ReportsTo': 2,
    'PhotoPath': 'http://accweb/emmployees/peacock.bmp'
}, {
    'EmployeeID': 5,
    'LastName': 'Buchanan',
    'FirstName': 'Steven',
    'Title': 'Sales Manager',
    'TitleOfCourtesy': 'Mr.',
    'BirthDate': new Date(-468010800000),
    'HireDate': new Date(750830400000),
    'Address': '14 Garrett Hill',
    'City': 'London',
    'Region': null,
    'PostalCode':
    'SW1 8JR',
    'Country': 'UK',
    'HomePhone': '(71) 555-4848',
    'Extension': '3453',
    'Photo': { 'Length': 21626 },
    'Notes': 'Steven Buchanan graduated from St. Andrews University, Scotland, with a BSC degree in 1976.  Upon joining the company as \
    a sales representative in 1992, he spent 6 months in an orientation program at the Seattle office and then returned to his permanent \
    post in London.  He was promoted to sales manager in March 1993.  Mr. Buchanan has completed the courses \'Successful \
    Telemarketing\' and \'International Sales Management.\'  He is fluent in French.',
    'ReportsTo': 2,
    'PhotoPath': 'http://accweb/emmployees/buchanan.bmp'
}, {
    'EmployeeID': 6,
    'LastName': 'Suyama',
    'FirstName': 'Michael',
    'Title': 'Sales Representative',
    'TitleOfCourtesy': 'Mr.',
    'BirthDate': new Date(-205185600000),
    'HireDate': new Date(750830400000),
    'Address': 'Coventry House\r\nMiner Rd.',
    'City': 'London',
    'Region': null,
    'PostalCode': 'EC2 7JR',
    'Country': 'UK',
    'HomePhone': '(71) 555-7773',
    'Extension': '428',
    'Photo': { 'Length': 21626 },
    'Notes': 'Michael is a graduate of Sussex University (MA, economics, 1983) and the University of California at Los Angeles \
    (MBA, marketing, 1986).  He has also taken the courses \'Multi-Cultural Selling\' and \'Time Management for the Sales Professional.\'  \
    He is fluent in Japanese and can read and write French, Portuguese, and Spanish.',
    'ReportsTo': 5,
    'PhotoPath': 'http://accweb/emmployees/davolio.bmp'
}, {
    'EmployeeID': 7,
    'LastName': 'King',
    'FirstName': 'Robert',
    'Title': 'Sales Representative',
    'TitleOfCourtesy': 'Mr.',
    'BirthDate': new Date(-302731200000),
    'HireDate': new Date(757486800000),
    'Address': 'Edgeham Hollow\r\nWinchester Way',
    'City': 'London',
    'Region': null,
    'PostalCode': 'RG1 9SP',
    'Country': 'UK',
    'HomePhone': '(71) 555-5598',
    'Extension': '465',
    'Photo': { 'Length': 21626 },
    'Notes': 'Robert King served in the Peace Corps and traveled extensively before completing his degree in English at the \
    University of Michigan in 1992, the year he joined the company.  After completing a course entitled \'Selling in Europe,\' \
    he was transferred to the London office in March 1993.',
    'ReportsTo': 5,
    'PhotoPath': 'http://accweb/emmployees/davolio.bmp'
}, {
    'EmployeeID': 8,
    'LastName': 'Callahan',
    'FirstName': 'Laura',
    'Title': 'Inside Sales Coordinator',
    'TitleOfCourtesy': 'Ms.',
    'BirthDate': new Date(-377982000000),
    'HireDate': new Date(762843600000),
    'Address': '4726 - 11th Ave. N.E.',
    'City': 'Seattle',
    'Region': 'WA',
    'PostalCode': '98105',
    'Country': 'USA',
    'HomePhone': '(206) 555-1189',
    'Extension': '2344',
    'Photo': { 'Length': 21626 },
    'Notes': 'Laura received a BA in psychology from the University of Washington.  She has also completed a course in business \
    French.  She reads and writes French.',
    'ReportsTo': 2,
    'PhotoPath': 'http://accweb/emmployees/davolio.bmp'
}, {
    'EmployeeID': 9,
    'LastName': 'Dodsworth',
    'FirstName': 'Anne',
    'Title': 'Sales Representative',
    'TitleOfCourtesy': 'Ms.',
    'BirthDate': new Date(-123966000000),
    'HireDate': new Date(784875600000),
    'Address': '7 Houndstooth Rd.',
    'City': 'London',
    'Region': null,
    'PostalCode': 'WG2 7LT',
    'Country': 'UK',
    'HomePhone': '(71) 555-4444',
    'Extension': '452',
    'Photo': { 'Length': 21626 },
    'Notes': 'Anne has a BA degree in English from St. Lawrence College.  She is fluent in French and German.',
    'ReportsTo': 5,
    'PhotoPath': 'http://accweb/emmployees/davolio.bmp'
}];

let order = JSON.stringify([
    {
       "OrderID":10248,
       "CustomerID":"VINET",
       "CustomerName": "Maria ",
       "OrderDate":"1996-07-04T00:00:00.000Z",
       "ShippedDate":"1996-07-16T00:00:00.000Z",
       "Freight":32.38,
       "ShipName":"Vins et alcools Chevalier",
       "ShipAddress":"59 rue de l'Abbaye",
       "ShipCity":"Reims",
       "ShipRegion":null,
       "ShipCountry":"France"
    },
    {
       "OrderID":10249,
       "CustomerID":"TOMSP",
       "CustomerName": "Ana Trujillo",
       "OrderDate":"1996-07-05T00:00:00.000Z",
       "ShippedDate":"1996-07-10T00:00:00.000Z",
       "Freight":11.61,
       "ShipName":"Toms Spezialitäten",
       "ShipAddress":"Luisenstr. 48",
       "ShipCity":"Münster",
       "ShipRegion":null,
       "ShipCountry":"Germany"
    },
    {
       "OrderID":10250,
       "CustomerID":"HANAR",
       "CustomerName": "Antonio Moreno",
       "OrderDate":"1996-07-08T00:00:00.000Z",
       "ShippedDate":"1996-07-12T00:00:00.000Z",
       "Freight":65.83,
       "ShipName":"Hanari Carnes",
       "ShipAddress":"Rua do Paço, 67",
       "ShipCity":"Rio de Janeiro",
       "ShipRegion":"RJ",
       "ShipCountry":"Brazil"
    },
    {
       "OrderID":10251,
       "CustomerID":"VICTE",
       "CustomerName": "Thomas Hardy",
       "OrderDate":"1996-07-08T00:00:00.000Z",
       "ShippedDate":"1996-07-15T00:00:00.000Z",
       "Freight":41.34,
       "ShipName":"Victuailles en stock",
       "ShipAddress":"2, rue du Commerce",
       "ShipCity":"Lyon",
       "ShipRegion":null,
       "ShipCountry":"France"
    },
    {
       "OrderID":10252,
       "CustomerID":"SUPRD",
       "CustomerName": "Christina Berglund",
       "OrderDate":"1996-07-09T00:00:00.000Z",
       "ShippedDate":"1996-07-11T00:00:00.000Z",
       "Freight":51.3,
       "ShipName":"Suprêmes délices",
       "ShipAddress":"Boulevard Tirou, 255",
       "ShipCity":"Charleroi",
       "ShipRegion":null,
       "ShipCountry":"Belgium"
    },
    {
       "OrderID":10253,
       "CustomerID":"HANAR",
       "CustomerName": "Hanna Moos",
       "OrderDate":"1996-07-10T00:00:00.000Z",
       "ShippedDate":"1996-07-16T00:00:00.000Z",
       "Freight":58.17,
       "ShipName":"Hanari Carnes",
       "ShipAddress":"Rua do Paço, 67",
       "ShipCity":"Rio de Janeiro",
       "ShipRegion":"RJ",
       "ShipCountry":"Brazil"
    },
    {
       "OrderID":10254,
       "CustomerID":"CHOPS",
       "CustomerName": "Frédérique Citeaux",
       "OrderDate":"1996-07-11T00:00:00.000Z",
       "ShippedDate":"1996-07-23T00:00:00.000Z",
       "Freight":22.98,
       "ShipName":"Chop-suey Chinese",
       "ShipAddress":"Hauptstr. 31",
       "ShipCity":"Bern",
       "ShipRegion":null,
       "ShipCountry":"Switzerland"
    },
    {
       "OrderID":10255,
       "CustomerID":"RICSU",
       "CustomerName": "Martín Sommer",
       "OrderDate":"1996-07-12T00:00:00.000Z",
       "ShippedDate":"1996-07-15T00:00:00.000Z",
       "Freight":148.33,
       "ShipName":"Richter Supermarkt",
       "ShipAddress":"Starenweg 5",
       "ShipCity":"Genève",
       "ShipRegion":null,
       "ShipCountry":"Switzerland"
    },
    {
       "OrderID":10256,
       "CustomerID":"WELLI",
       "CustomerName": "Laurence Lebihan",
       "OrderDate":"1996-07-15T00:00:00.000Z",
       "ShippedDate":"1996-07-17T00:00:00.000Z",
       "Freight":13.97,
       "ShipName":"Wellington Importadora",
       "ShipAddress":"Rua do Mercado, 12",
       "ShipCity":"Resende",
       "ShipRegion":"SP",
       "ShipCountry":"Brazil"
    },
    {
       "OrderID":10257,
       "CustomerID":"HILAA",
       "CustomerName": "Elizabeth Lincoln",
       "OrderDate":"1996-07-16T00:00:00.000Z",
       "ShippedDate":"1996-07-22T00:00:00.000Z",
       "Freight":81.91,
       "ShipName":"HILARION-Abastos",
       "ShipAddress":"Carrera 22 con Ave. Carlos Soublette #8-35",
       "ShipCity":"San Cristóbal",
       "ShipRegion":"Táchira",
       "ShipCountry":"Venezuela"
    },
    {
       "OrderID":10258,
       "CustomerID":"ERNSH",
       "CustomerName": "Victoria Ashworth",
       "OrderDate":"1996-07-17T00:00:00.000Z",
       "ShippedDate":"1996-07-23T00:00:00.000Z",
       "Freight":140.51,
       "ShipName":"Ernst Handel",
       "ShipAddress":"Kirchgasse 6",
       "ShipCity":"Graz",
       "ShipRegion":null,
       "ShipCountry":"Austria"
    },
    {
       "OrderID":10259,
       "CustomerID":"CENTC",
       "CustomerName": "Patricio Simpson",
       "OrderDate":"1996-07-18T00:00:00.000Z",
       "ShippedDate":"1996-07-25T00:00:00.000Z",
       "Freight":3.25,
       "ShipName":"Centro comercial Moctezuma",
       "ShipAddress":"Sierras de Granada 9993",
       "ShipCity":"México D.F.",
       "ShipRegion":null,
       "ShipCountry":"Mexico"
    },
    {
       "OrderID":10260,
       "CustomerID":"OTTIK",
       "CustomerName": "Francisco Chang",
       "OrderDate":"1996-07-19T00:00:00.000Z",
       "ShippedDate":"1996-07-29T00:00:00.000Z",
       "Freight":55.09,
       "ShipName":"Ottilies Käseladen",
       "ShipAddress":"Mehrheimerstr. 369",
       "ShipCity":"Köln",
       "ShipRegion":null,
       "ShipCountry":"Germany"
    },
    {
       "OrderID":10261,
       "CustomerID":"QUEDE",
       "CustomerName": "Yang Wang",
       "OrderDate":"1996-07-19T00:00:00.000Z",
       "ShippedDate":"1996-07-30T00:00:00.000Z",
       "Freight":3.05,
       "ShipName":"Que Delícia",
       "ShipAddress":"Rua da Panificadora, 12",
       "ShipCity":"Rio de Janeiro",
       "ShipRegion":"RJ",
       "ShipCountry":"Brazil"
    },
    {
       "OrderID":10262,
       "CustomerID":"RATTC",
       "CustomerName": "Pedro Afonso",
       "OrderDate":"1996-07-22T00:00:00.000Z",
       "ShippedDate":"1996-07-25T00:00:00.000Z",
       "Freight":48.29,
       "ShipName":"Rattlesnake Canyon Grocery",
       "ShipAddress":"2817 Milton Dr.",
       "ShipCity":"Albuquerque",
       "ShipRegion":"NM",
       "ShipCountry":"USA"
    },
    {
       "OrderID":10263,
       "CustomerID":"ERNSH",
       "CustomerName": "Elizabeth Brown",
       "OrderDate":"1996-07-23T00:00:00.000Z",
       "ShippedDate":"1996-07-31T00:00:00.000Z",
       "Freight":146.06,
       "ShipName":"Ernst Handel",
       "ShipAddress":"Kirchgasse 6",
       "ShipCity":"Graz",
       "ShipRegion":null,
       "ShipCountry":"Austria"
    },
    {
       "OrderID":10264,
       "CustomerID":"FOLKO",
       "CustomerName": "Sven Ottlieb",
       "OrderDate":"1996-07-24T00:00:00.000Z",
       "ShippedDate":"1996-08-23T00:00:00.000Z",
       "Freight":3.67,
       "ShipName":"Folk och fä HB",
       "ShipAddress":"Åkergatan 24",
       "ShipCity":"Bräcke",
       "ShipRegion":null,
       "ShipCountry":"Sweden"
    },
    {
       "OrderID":10265,
       "CustomerID":"BLONP",
       "CustomerName": "Ann Devon",
       "OrderDate":"1996-07-25T00:00:00.000Z",
       "ShippedDate":"1996-08-12T00:00:00.000Z",
       "Freight":55.28,
       "ShipName":"Blondel père et fils",
       "ShipAddress":"24, place Kléber",
       "ShipCity":"Strasbourg",
       "ShipRegion":null,
       "ShipCountry":"France"
    },
    {
       "OrderID":10266,
       "CustomerID":"WARTH",
       "CustomerName": "Roland Mendel",
       "OrderDate":"1996-07-26T00:00:00.000Z",
       "ShippedDate":"1996-07-31T00:00:00.000Z",
       "Freight":25.73,
       "ShipName":"Wartian Herkku",
       "ShipAddress":"Torikatu 38",
       "ShipCity":"Oulu",
       "ShipRegion":null,
       "ShipCountry":"Finland"
    },
    {
       "OrderID":10267,
       "CustomerID":"FRANK",
       "CustomerName": "Aria Cruz",
       "OrderDate":"1996-07-29T00:00:00.000Z",
       "ShippedDate":"1996-08-06T00:00:00.000Z",
       "Freight":208.58,
       "ShipName":"Frankenversand",
       "ShipAddress":"Berliner Platz 43",
       "ShipCity":"München",
       "ShipRegion":null,
       "ShipCountry":"Germany"
    },
    {
       "OrderID":10268,
       "CustomerID":"GROSR",
       "CustomerName": "Diego Roel",
       "OrderDate":"1996-07-30T00:00:00.000Z",
       "ShippedDate":"1996-08-02T00:00:00.000Z",
       "Freight":66.29,
       "ShipName":"GROSELLA-Restaurante",
       "ShipAddress":"5ª Ave. Los Palos Grandes",
       "ShipCity":"Caracas",
       "ShipRegion":"DF",
       "ShipCountry":"Venezuela"
    },
    {
       "OrderID":10269,
       "CustomerID":"WHITC",
       "CustomerName": "Martine Rancé",
       "OrderDate":"1996-07-31T00:00:00.000Z",
       "ShippedDate":"1996-08-09T00:00:00.000Z",
       "Freight":4.56,
       "ShipName":"White Clover Markets",
       "ShipAddress":"1029 - 12th Ave. S.",
       "ShipCity":"Seattle",
       "ShipRegion":"WA",
       "ShipCountry":"USA"
    },
    {
       "OrderID":10270,
       "CustomerID":"WARTH",
       "CustomerName": "Maria Larsson",
       "OrderDate":"1996-08-01T00:00:00.000Z",
       "ShippedDate":"1996-08-02T00:00:00.000Z",
       "Freight":136.54,
       "ShipName":"Wartian Herkku",
       "ShipAddress":"Torikatu 38",
       "ShipCity":"Oulu",
       "ShipRegion":null,
       "ShipCountry":"Finland"
    },
    {
       "OrderID":10271,
       "CustomerID":"SPLIR",
       "CustomerName": "Peter Franken",
       "OrderDate":"1996-08-01T00:00:00.000Z",
       "ShippedDate":"1996-08-30T00:00:00.000Z",
       "Freight":4.54,
       "ShipName":"Split Rail Beer & Ale",
       "ShipAddress":"P.O. Box 555",
       "ShipCity":"Lander",
       "ShipRegion":"WY",
       "ShipCountry":"USA"
    },
    {
       "OrderID":10272,
       "CustomerID":"RATTC",
       "CustomerName": "Carine Schmitt",
       "OrderDate":"1996-08-02T00:00:00.000Z",
       "ShippedDate":"1996-08-06T00:00:00.000Z",
       "Freight":98.03,
       "ShipName":"Rattlesnake Canyon Grocery",
       "ShipAddress":"2817 Milton Dr.",
       "ShipCity":"Albuquerque",
       "ShipRegion":"NM",
       "ShipCountry":"USA"
    },
    {
       "OrderID":10273,
       "CustomerID":"QUICK",
       "CustomerName": "Paolo Accorti",
       "OrderDate":"1996-08-05T00:00:00.000Z",
       "ShippedDate":"1996-08-12T00:00:00.000Z",
       "Freight":76.07,
       "ShipName":"QUICK-Stop",
       "ShipAddress":"Taucherstraße 10",
       "ShipCity":"Cunewalde",
       "ShipRegion":null,
       "ShipCountry":"Germany"
    },
    {
       "OrderID":10274,
       "CustomerID":"VINET",
       "CustomerName": "Lino Rodriguez",
       "OrderDate":"1996-08-06T00:00:00.000Z",
       "ShippedDate":"1996-08-16T00:00:00.000Z",
       "Freight":6.01,
       "ShipName":"Vins et alcools Chevalier",
       "ShipAddress":"59 rue de l'Abbaye",
       "ShipCity":"Reims",
       "ShipRegion":null,
       "ShipCountry":"France"
    },
    {
       "OrderID":10275,
       "CustomerID":"MAGAA",
       "CustomerName": "Eduardo Saavedra",
       "OrderDate":"1996-08-07T00:00:00.000Z",
       "ShippedDate":"1996-08-09T00:00:00.000Z",
       "Freight":26.93,
       "ShipName":"Magazzini Alimentari Riuniti",
       "ShipAddress":"Via Ludovico il Moro 22",
       "ShipCity":"Bergamo",
       "ShipRegion":null,
       "ShipCountry":"Italy"
    },
    {
       "OrderID":10276,
       "CustomerID":"TORTU",
       "CustomerName": "José Pedro Freyre",
       "OrderDate":"1996-08-08T00:00:00.000Z",
       "ShippedDate":"1996-08-14T00:00:00.000Z",
       "Freight":13.84,
       "ShipName":"Tortuga Restaurante",
       "ShipAddress":"Avda. Azteca 123",
       "ShipCity":"México D.F.",
       "ShipRegion":null,
       "ShipCountry":"Mexico"
    },
    {
       "OrderID":10277,
       "CustomerID":"MORGK",
       "CustomerName": "André Fonseca",
       "OrderDate":"1996-08-09T00:00:00.000Z",
       "ShippedDate":"1996-08-13T00:00:00.000Z",
       "Freight":125.77,
       "ShipName":"Morgenstern Gesundkost",
       "ShipAddress":"Heerstr. 22",
       "ShipCity":"Leipzig",
       "ShipRegion":null,
       "ShipCountry":"Germany"
    },
    {
       "OrderID":10278,
       "CustomerID":"BERGS",
       "CustomerName": "Howard Snyder",
       "OrderDate":"1996-08-12T00:00:00.000Z",
       "ShippedDate":"1996-08-16T00:00:00.000Z",
       "Freight":92.69,
       "ShipName":"Berglunds snabbköp",
       "ShipAddress":"Berguvsvägen  8",
       "ShipCity":"Luleå",
       "ShipRegion":null,
       "ShipCountry":"Sweden"
    },
    {
       "OrderID":10279,
       "CustomerID":"LEHMS",
       "CustomerName": "Manuel Pereira",
       "OrderDate":"1996-08-13T00:00:00.000Z",
       "ShippedDate":"1996-08-16T00:00:00.000Z",
       "Freight":25.83,
       "ShipName":"Lehmanns Marktstand",
       "ShipAddress":"Magazinweg 7",
       "ShipCity":"Frankfurt a.M.",
       "ShipRegion":null,
       "ShipCountry":"Germany"
    },
    {
       "OrderID":10280,
       "CustomerID":"BERGS",
       "CustomerName": "Mario Pontes",
       "OrderDate":"1996-08-14T00:00:00.000Z",
       "ShippedDate":"1996-09-12T00:00:00.000Z",
       "Freight":8.98,
       "ShipName":"Berglunds snabbköp",
       "ShipAddress":"Berguvsvägen  8",
       "ShipCity":"Luleå",
       "ShipRegion":null,
       "ShipCountry":"Sweden"
    },
    {
       "OrderID":10281,
       "CustomerID":"ROMEY",
       "CustomerName": "Carlos Hernández",
       "OrderDate":"1996-08-14T00:00:00.000Z",
       "ShippedDate":"1996-08-21T00:00:00.000Z",
       "Freight":2.94,
       "ShipName":"Romero y tomillo",
       "ShipAddress":"Gran Vía, 1",
       "ShipCity":"Madrid",
       "ShipRegion":null,
       "ShipCountry":"Spain"
    },
    {
       "OrderID":10282,
       "CustomerID":"ROMEY",
       "CustomerName": "Yoshi Latimer",
       "OrderDate":"1996-08-15T00:00:00.000Z",
       "ShippedDate":"1996-08-21T00:00:00.000Z",
       "Freight":12.69,
       "ShipName":"Romero y tomillo",
       "ShipAddress":"Gran Vía, 1",
       "ShipCity":"Madrid",
       "ShipRegion":null,
       "ShipCountry":"Spain"
    },
    {
       "OrderID":10283,
       "CustomerID":"LILAS",
       "CustomerName": "Patricia McKenna",
       "OrderDate":"1996-08-16T00:00:00.000Z",
       "ShippedDate":"1996-08-23T00:00:00.000Z",
       "Freight":84.81,
       "ShipName":"LILA-Supermercado",
       "ShipAddress":"Carrera 52 con Ave. Bolívar #65-98 Llano Largo",
       "ShipCity":"Barquisimeto",
       "ShipRegion":"Lara",
       "ShipCountry":"Venezuela"
    },
    {
       "OrderID":10284,
       "CustomerID":"LEHMS",
       "CustomerName": "Helen Bennett",
       "OrderDate":"1996-08-19T00:00:00.000Z",
       "ShippedDate":"1996-08-27T00:00:00.000Z",
       "Freight":76.56,
       "ShipName":"Lehmanns Marktstand",
       "ShipAddress":"Magazinweg 7",
       "ShipCity":"Frankfurt a.M.",
       "ShipRegion":null,
       "ShipCountry":"Germany"
    },
    {
       "OrderID":10285,
       "CustomerID":"QUICK",
       "CustomerName": "Philip Cramer",
       "OrderDate":"1996-08-20T00:00:00.000Z",
       "ShippedDate":"1996-08-26T00:00:00.000Z",
       "Freight":76.83,
       "ShipName":"QUICK-Stop",
       "ShipAddress":"Taucherstraße 10",
       "ShipCity":"Cunewalde",
       "ShipRegion":null,
       "ShipCountry":"Germany"
    },
    {
       "OrderID":10286,
       "CustomerID":"QUICK",
       "CustomerName": "Daniel Tonini",
       "OrderDate":"1996-08-21T00:00:00.000Z",
       "ShippedDate":"1996-08-30T00:00:00.000Z",
       "Freight":229.24,
       "ShipName":"QUICK-Stop",
       "ShipAddress":"Taucherstraße 10",
       "ShipCity":"Cunewalde",
       "ShipRegion":null,
       "ShipCountry":"Germany"
    },
    {
       "OrderID":10287,
       "CustomerID":"RICAR",
       "CustomerName": "Annette Roulet",
       "OrderDate":"1996-08-22T00:00:00.000Z",
       "ShippedDate":"1996-08-28T00:00:00.000Z",
       "Freight":12.76,
       "ShipName":"Ricardo Adocicados",
       "ShipAddress":"Av. Copacabana, 267",
       "ShipCity":"Rio de Janeiro",
       "ShipRegion":"RJ",
       "ShipCountry":"Brazil"
    },
    {
       "OrderID":10288,
       "CustomerID":"REGGC",
       "CustomerName": "Yoshi Tannamuri",
       "OrderDate":"1996-08-23T00:00:00.000Z",
       "ShippedDate":"1996-09-03T00:00:00.000Z",
       "Freight":7.45,
       "ShipName":"Reggiani Caseifici",
       "ShipAddress":"Strada Provinciale 124",
       "ShipCity":"Reggio Emilia",
       "ShipRegion":null,
       "ShipCountry":"Italy"
    },
    {
       "OrderID":10289,
       "CustomerID":"BSBEV",
       "CustomerName": "John Steel",
       "OrderDate":"1996-08-26T00:00:00.000Z",
       "ShippedDate":"1996-08-28T00:00:00.000Z",
       "Freight":22.77,
       "ShipName":"B's Beverages",
       "ShipAddress":"Fauntleroy Circus",
       "ShipCity":"London",
       "ShipRegion":null,
       "ShipCountry":"UK"
    },
    {
       "OrderID":10290,
       "CustomerID":"COMMI",
       "CustomerNames": "Renate Messner",
       "OrderDate":"1996-08-27T00:00:00.000Z",
       "ShippedDate":"1996-09-03T00:00:00.000Z",
       "Freight":79.7,
       "ShipName":"Comércio Mineiro",
       "ShipAddress":"Av. dos Lusíadas, 23",
       "ShipCity":"Sao Paulo",
       "ShipRegion":"SP",
       "ShipCountry":"Brazil"
    },
    {
       "OrderID":10291,
       "CustomerID":"QUEDE",
       "CustomerName": "Jaime Yorres",
       "OrderDate":"1996-08-27T00:00:00.000Z",
       "ShippedDate":"1996-09-04T00:00:00.000Z",
       "Freight":6.4,
       "ShipName":"Que Delícia",
       "ShipAddress":"Rua da Panificadora, 12",
       "ShipCity":"Rio de Janeiro",
       "ShipRegion":"RJ",
       "ShipCountry":"Brazil"
    },
    {
       "OrderID":10292,
       "CustomerID":"TRADH",
       "CustomerName": "Carlos González",
       "OrderDate":"1996-08-28T00:00:00.000Z",
       "ShippedDate":"1996-09-02T00:00:00.000Z",
       "Freight":1.35,
       "ShipName":"Tradiçao Hipermercados",
       "ShipAddress":"Av. Inês de Castro, 414",
       "ShipCity":"Sao Paulo",
       "ShipRegion":"SP",
       "ShipCountry":"Brazil"
    },
    {
       "OrderID":10293,
       "CustomerID":"TORTU",
       "CustomerName": "Felipe Izquierdo",
       "OrderDate":"1996-08-29T00:00:00.000Z",
       "ShippedDate":"1996-09-11T00:00:00.000Z",
       "Freight":21.18,
       "ShipName":"Tortuga Restaurante",
       "ShipAddress":"Avda. Azteca 123",
       "ShipCity":"México D.F.",
       "ShipRegion":null,
       "ShipCountry":"Mexico"
    },
    {
       "OrderID":10294,
       "CustomerID":"RATTC",
       "CustomerName": "Fran Wilson",
       "OrderDate":"1996-08-30T00:00:00.000Z",
       "ShippedDate":"1996-09-05T00:00:00.000Z",
       "Freight":147.26,
       "ShipName":"Rattlesnake Canyon Grocery",
       "ShipAddress":"2817 Milton Dr.",
       "ShipCity":"Albuquerque",
       "ShipRegion":"NM",
       "ShipCountry":"USA"
    },
    {
       "OrderID":10295,
       "CustomerID":"VINET",
       "CustomerName": "Giovanni Rovelli",
       "OrderDate":"1996-09-02T00:00:00.000Z",
       "ShippedDate":"1996-09-10T00:00:00.000Z",
       "Freight":1.15,
       "ShipName":"Vins et alcools Chevalier",
       "ShipAddress":"59 rue de l'Abbaye",
       "ShipCity":"Reims",
       "ShipRegion":null,
       "ShipCountry":"France"
    },
    {
       "OrderID":10296,
       "CustomerID":"LILAS",
       "CustomerName": "Catherine Dewey",
       "OrderDate":"1996-09-03T00:00:00.000Z",
       "ShippedDate":"1996-09-11T00:00:00.000Z",
       "Freight":0.12,
       "ShipName":"LILA-Supermercado",
       "ShipAddress":"Carrera 52 con Ave. Bolívar #65-98 Llano Largo",
       "ShipCity":"Barquisimeto",
       "ShipRegion":"Lara",
       "ShipCountry":"Venezuela"
    },
    {
       "OrderID":10297,
       "CustomerID":"BLONP",
       "CustomerName": "Jean Fresnière",
       "OrderDate":"1996-09-04T00:00:00.000Z",
       "ShippedDate":"1996-09-10T00:00:00.000Z",
       "Freight":5.74,
       "ShipName":"Blondel père et fils",
       "ShipAddress":"24, place Kléber",
       "ShipCity":"Strasbourg",
       "ShipRegion":null,
       "ShipCountry":"France"
    },
    {
       "OrderID":10298,
       "CustomerID":"HUNGO",
       "CustomerName": "Alexander Feuer",
       "OrderDate":"1996-09-05T00:00:00.000Z",
       "ShippedDate":"1996-09-11T00:00:00.000Z",
       "Freight":168.22,
       "ShipName":"Hungry Owl All-Night Grocers",
       "ShipAddress":"8 Johnstown Road",
       "ShipCity":"Cork",
       "ShipRegion":"Co. Cork",
       "ShipCountry":"Ireland"
    },
    {
       "OrderID":10299,
       "CustomerID":"RICAR",
       "CustomerName": "Simon Crowther",
       "OrderDate":"1996-09-06T00:00:00.000Z",
       "ShippedDate":"1996-09-13T00:00:00.000Z",
       "Freight":29.76,
       "ShipName":"Ricardo Adocicados",
       "ShipAddress":"Av. Copacabana, 267",
       "ShipCity":"Rio de Janeiro",
       "ShipRegion":"RJ",
       "ShipCountry":"Brazil"
    },
    {
       "OrderID":10300,
       "CustomerID":"MAGAA",
       "CustomerNames": "Yvonne Moncada",
       "OrderDate":"1996-09-09T00:00:00.000Z",
       "ShippedDate":"1996-09-18T00:00:00.000Z",
       "Freight":17.68,
       "ShipName":"Magazzini Alimentari Riuniti",
       "ShipAddress":"Via Ludovico il Moro 22",
       "ShipCity":"Bergamo",
       "ShipRegion":null,
       "ShipCountry":"Italy"
    },
    {
       "OrderID":10301,
       "CustomerID":"WANDK",
       "CustomerName": "Rene Phillips",
       "OrderDate":"1996-09-09T00:00:00.000Z",
       "ShippedDate":"1996-09-17T00:00:00.000Z",
       "Freight":45.08,
       "ShipName":"Die Wandernde Kuh",
       "ShipAddress":"Adenauerallee 900",
       "ShipCity":"Stuttgart",
       "ShipRegion":null,
       "ShipCountry":"Germany"
    },
    {
       "OrderID":10302,
       "CustomerID":"SUPRD",
       "CustomerName": "Pirkko Koskitalo",
       "OrderDate":"1996-09-10T00:00:00.000Z",
       "ShippedDate":"1996-10-09T00:00:00.000Z",
       "Freight":6.27,
       "ShipName":"Suprêmes délices",
       "ShipAddress":"Boulevard Tirou, 255",
       "ShipCity":"Charleroi",
       "ShipRegion":null,
       "ShipCountry":"Belgium"
    },
    {
       "OrderID":10303,
       "CustomerID":"GODOS",
       "CustomerName": "Paula Parente",
       "OrderDate":"1996-09-11T00:00:00.000Z",
       "ShippedDate":"1996-09-18T00:00:00.000Z",
       "Freight":107.83,
       "ShipName":"Godos Cocina Típica",
       "ShipAddress":"C/ Romero, 33",
       "ShipCity":"Sevilla",
       "ShipRegion":null,
       "ShipCountry":"Spain"
    },
    {
       "OrderID":10304,
       "CustomerID":"TORTU",
       "CustomerName": "Karl Jablonski",
       "OrderDate":"1996-09-12T00:00:00.000Z",
       "ShippedDate":"1996-09-17T00:00:00.000Z",
       "Freight":63.79,
       "ShipName":"Tortuga Restaurante",
       "ShipAddress":"Avda. Azteca 123",
       "ShipCity":"México D.F.",
       "ShipRegion":null,
       "ShipCountry":"Mexico"
    },
    {
       "OrderID":10305,
       "CustomerID":"OLDWO",
       "CustomerName": "Matti Karttunen",
       "OrderDate":"1996-09-13T00:00:00.000Z",
       "ShippedDate":"1996-10-09T00:00:00.000Z",
       "Freight":257.62,
       "ShipName":"Old World Delicatessen",
       "ShipAddress":"2743 Bering St.",
       "ShipCity":"Anchorage",
       "ShipRegion":"AK",
       "ShipCountry":"USA"
    },
    {
       "OrderID":10306,
       "CustomerID":"ROMEY",
       "CustomerName": "Zbyszek Piestrzeniewicz",
       "OrderDate":"1996-09-16T00:00:00.000Z",
       "ShippedDate":"1996-09-23T00:00:00.000Z",
       "Freight":7.56,
       "ShipName":"Romero y tomillo",
       "ShipAddress":"Gran Vía, 1",
       "ShipCity":"Madrid",
       "ShipRegion":null,
       "ShipCountry":"Spain"
    },
    {
       "OrderID":10307,
       "CustomerID":"LONEP",
       "CustomerName": "Zbyszek Piestrzeniewicz",
       "OrderDate":"1996-09-17T00:00:00.000Z",
       "ShippedDate":"1996-09-25T00:00:00.000Z",
       "Freight":0.56,
       "ShipName":"Lonesome Pine Restaurant",
       "ShipAddress":"89 Chiaroscuro Rd.",
       "ShipCity":"Portland",
       "ShipRegion":"OR",
       "ShipCountry":"USA"
    }]);
    
export const orderDetails: Object[] = JSON.parse(order, (field, value) => {
    let dupValue = value;
    if (typeof value === 'string' && /^(\d{4}\-\d\d\-\d\d([tT][\d:\.]*){1})([zZ]|([+\-])(\d\d):?(\d\d))?$/.test(value)) {
        let arr = dupValue.split(/[^0-9]/);
        value = new Date(parseInt(arr[0], 10), parseInt(arr[1], 10) - 1, 
        parseInt(arr[2], 10), parseInt(arr[3], 10), parseInt(arr[4], 10), parseInt(arr[5], 10));
    }
    return value;
});
